Package org.globus.gsi.testutils.container

# Class ClientTest

java.lang.Object
org.globus.gsi.testutils.container.ClientTest

public abstract class ClientTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClientTest()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getPort()`
`void`
`testInvalid()`
Test client with invalid credentials.
`void`
`testValid()`
Test a client using valid credentials

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientTest

public ClientTest()

## Method Details

### getPort

public static int getPort()

### testInvalid

public void testInvalid() throws Exception
Test client with invalid credentials.

Throws:
  `Exception` - This should happen.

### testValid

public void testValid() throws Exception
Test a client using valid credentials

Throws:
  `Exception` - if this happens, the test fails.